

$(function(){
	         $.divselect("#divselect","#inputselect");
           });



jQuery.divselect = function(divselectid,inputselectid) {
	var inputselect = $(inputselectid);
	$(divselectid+" cite").click(function(){
		var ul = $(divselectid+" ul");
		if(ul.css("display")=="none"){
			ul.slideDown("fast");
		}else{
			ul.slideUp("fast");
		}
	});
	$(divselectid+" ul li a").click(function(){
		var txt = $(this).text();
		$(divselectid+" cite").html(txt);
		var value = $(this).attr("selectid");
		inputselect.val(value);
		$(divselectid+" ul").hide();
		
	});
	$(document).click(function(){
		$(divselectid+" ul").hide();
	});
};





			/*----------------------------------------------////
			*当页面载入时绑定选中处理函数
			*/
/*	 
			window.onload=function(){
			    var nSelCount=function(){//若果你知道确切个数可省略计算
			        var oTbody=$("tbody1");
			        var aInputs=oTbody?oTbody.getElementsByTagName("input"):[];
			        var i,nSelCount=0,nLen=aInputs.length;
			         
			        for(i=0;i<nLen;i++){
			            if(aInputs[i].checked)
			                nSelCount++;
			        }
			        return nSelCount;
			    }();
			     
			    var nChkCount=function(){//若果你知道确切个数可省略计算
			        var oTbody=$("tbody1");
			        var aInputs=oTbody?oTbody.getElementsByTagName("input"):[];
			        var i,finds=0,nLen=aInputs.length;
			         
			        for(i=0;i<nLen;i++){
			            if(aInputs[i].type.toLowerCase()=="checkbox")
			                finds++;
			        }
			        return finds;
			    }();
			     
			    var fn=function(e){
			        var evt=e||window.event;
			        var srcEl=evt.target||evt.srcElement;
			        nSelCount+=srcEl.checked?1:-1;
			        $("chkAll").checked=(nSelCount==nChkCount);
			    }
			     
			    var oTbody=$("tbody1");
			    var aInputs=oTbody?oTbody.getElementsByTagName("input"):[];
			    var i,finds=0,nLen=aInputs.length;
			     
			    for(i=0;i<nLen;i++){
			        if(aInputs[i].type.toLowerCase()=="checkbox")
			            aInputs[i].onclick=fn;
			    }
			}*/
 
/*                     下拉表	*/

		var hi="";
	    var zhi1;
	    function checkgou(){
	    	zhi1="";
		    hi=$(".fxk11");
		    for(var i =0;i<hi.length;i++){
		    	 if(zhi1==""){
		    		 zhi1=hi[i].id}
		 		 else{zhi1 += ","+hi[i].id}
		    	// alert(zhi1);
			}
		    alert(zhi1);    
	    }
	    
	    $(document).ready(function(){
	    	 $(".fxk1").click(function(){
	    		$(this).toggleClass("fxk11") ;
	    		$(this).parent().parent().toggleClass("tr0");
	    		//var a=$(this).parent().parent();
	    		//alert("可以吗？");
	    		//alert(a.class);
	    		
	    	 });
	    	 $(".fxk").click(function(){
	    		 if($(this).hasClass("fxk00")){
	    			$(".fxk").removeClass("fxk00") ;
		    		$(".fxk1").removeClass("fxk11") ;
		    		$(".fxk").parent().parent().removeClass("tr0");
		    		$(".fxk1").parent().parent().removeClass("tr0");}
	    		 else{
	    			 $(".fxk").addClass("fxk00") ;
			         $(".fxk1").addClass("fxk11") ;
			         $(".fxk").parent().parent().addClass("tr0");
			    	 $(".fxk1").parent().parent().addClass("tr0");}
	    		 
		    		//alert($(this).hasClass(".fxk11"));
	       });
	    });
	    
	    
/*输入框的美化	    */
  $(document).ready(function(){
	    	 $("#mc").attr("value",'请输入2~64个字符').addClass("mingcheng");
	    	 $("#ys").attr("value",'元').addClass("yusuanyu");
	   
	    });	
function changdu(){
	  var de = document.getElementById("shuru1").value;
	  if(de==""){
		  $("#mc").attr("value",'请输入2~64个字符').removeClass().addClass("mingcheng");
	  }
	
	  else if(de.length>=65||de.length<2){
		 // $(".mingcheng").addClass("mingcheng1");
		  $("#mc").attr("value",'输入的长度应在2~64个字符之内').removeClass().addClass("mingcheng1");
		 //$(".mingcheng").value="输入的长度应在2~64个字符之内，请重新输入";
	  	//alert("输入的长度应在2~64个字符之内，请重新输入");
	  	//document.getElementById('shuru1').value='';
		}
	  else{ $("#mc").attr("value",'输入正确').removeClass().addClass("mingcheng2");
		  
	  }
	 
}
function buweifu(){
	  var de = document.getElementById("yusuan").value;
	  var reg = /^\d*\.{0,1}\d{0,100}$/; 
	  /*for (var i = 0; i <= de.length; i++) {
		  	if(de[i]=="-"){
		  		 $("#ys").attr("value",'预算不能为负！').removeClass().addClass("yusuanyu1");
		  		//alert("预算不能为负！");
		    	document.getElementById('yusuan').value='';}
	  };*/
	  	if(de==""){
		  $("#ys").attr("value",'元').removeClass().addClass("mingcheng");
	  }
	   else if(reg.test(de)==true){
	    	   $("#ys").attr("value",'输入正确').removeClass().addClass("mingcheng2");
	    	   // return true;
	    	} 
	       /*else if(de==""){
				  $("#ys").attr("value",'元').removeClass().addClass("mingcheng");
			  }*/
	       else{
	    		$("#ys").attr("value",'对不起，您的输入格式不正确（输入内容不为负，只能为数字或小数点且小数点只能有一个）').removeClass().addClass("yusuanyu1");
	    	    //alert("不是纯数字！失败！");
	    	   // return false;
	    	}
		  
		   /* else if(isNaN(de)){
				  $("#ys").attr("value",'输入正确').addClass("mingcheng2");
			  }
			  else{ $("#ys").attr("value",'请输入数字').addClass("yusuanyu1");
				  
			  }*/
	 };

	    
function buweikong(){
	  var de = document.getElementById("yusuan");
	  var cc = document.getElementById("shuru1");
	  if(cc.value==""){alert("订单名称不能为空！")}
	  if((de.value=="")){
		  alert("预算不能为空！");}
	  if($("#mc").hasClass("mingcheng1")){
		  alert("订单名称输入有误！"); 
	  }
	  if($("#ys").hasClass("yusuanyu1")){
		  alert("总预算输入有误！"); 
	  }
	  
}

	 $(document).ready(function(){

$(".hy").click(function(){
	//alert("begin");
	$(".hangyeall").removeClass().addClass("hangye1");
	$(".hangye12").removeClass().addClass("hangye11");
	
	//alert("this");
	if($(this).hasClass("hangye11")){
		//alert("has");
		$(this).removeClass().addClass("hangye12");
	}
	else{
		//alert("has no");
	$(this).removeClass().addClass("hangyeall");}
	//alert("end");
})

$(".zht").click(function(){

	alert("begin");
	$(".zhuangtaiall").removeClass().addClass("zhuangtai1");
	alert("移掉了");
	$(this).removeClass().addClass("zhuangtaiall");	
	alert("加上了");
})
	})

/*advertiser的js*/
	function yanse(){
		//alert("yanse"); 
		$(".baobiao11cj").removeClass().addClass("baobiao11");
		//alert("hi");
		$(this).removeClass().addClass("baobiao");
		//alert("over");
	 }
	 function yanse1(){
			//alert("yanse1"); 
			$("#baobiao11cj").removeClass().addClass("baobiao11cj");
			//alert("hi");
			
			//alert("over");
		 }
	 function yanse11(){
			//alert("yanse"); 
			
			//alert("hi");
			$(this).removeClass().addClass("baobiao");
			//alert("over");
		 }